sr      =        32000
kr      =        100
ksmps   =        320
nchnls  =        2
;=========================================================================
gar     init     0
gac     init     0
gaf     init     0
;=========================================================================
; TURN ON GLOBAL INSTRUMENTS ---------------------------------------------
;=========================================================================
turnon  129             ; MONO REVERB
turnon  130             ; STEREO CHORUS
turnon  131             ; EQ
;=========================================================================
; INITIALIZE DIRECT & EFFECT SEND/RETURN LEVELS --------------------------
;=========================================================================
giir    =        .2     ; INSTRUMENT REVERB RETURN
giic    =       1.3     ; INSTRUMENT CHORUS RETURN
gidr    =        .4     ; DRUM REVERB RETURN

;=========================================================================
; GENERATE WAVESHAPES ----------------------------------------------------
;=========================================================================
gisin   ftgen    0, 0, 4096, 10, 1
;=========================================================================
; LOAD INSTRUMENT WAVETABLES ---------------------------------------------
;=========================================================================
iepno1  ftload   "06c4.aif"
iepno2  ftload   "06c5.aif"
ivib1   ftload   "12a4.aif"
ivib2   ftload   "12a5.aif"
iclgt1  ftload   "28g3.aif"
iclgt2  ftload   "28e4.aif"
iclgt3  ftload   "28d5.aif"
imtgt1  ftload   "29g#2.aif"
imtgt2  ftload   "29e3.aif"
iebs1   ftload   "34d2.aif"
iebs2   ftload   "34c3.aif"
islp    ftload   "37g2lp.aif"
icel1   ftload   "43a#2.aif"
icel2   ftload   "43c#4.aif"
ifrhn1  ftload   "611c#4.aif"
ifrhn2  ftload   "611a#4.aif"
isaw    ftload   "82d5.aif"
isvox1  ftload   "92g3.aif"
isvox2  ftload   "92g4.aif"
irain1  ftload   "97e4.aif"
irain2  ftload   "97g5.aif"
iatmo   ftload   "100d3lp.aif"
ibrht   ftload   "101f4.aif"
ibsld   ftload   "121nslp.aif"
;=========================================================================
; LOAD DRUM WAVETABLES ---------------------------------------------------
;=========================================================================
ibd     ftgen  30.35, 0, 0, 1,   "d0136ns.aif", 0, 0, 0
isd     ftgen  31.35, 0, 0, 1,   "d0138n2.aif", 0, 0, 0
ihhc    ftgen  32.35, 0, 0, 1,   "d0142ns.aif", 0, 0, 0
imtm    ftgen  33.35, 0, 0, 1,   "d0145ns.aif", 0, 0, 0
ihtm    ftgen  34.35, 0, 0, 1,   "d0150ns.aif", 0, 0, 0
ihho    ftgen  35.35, 0, 0, 1,   "d0146ns.aif", 0, 0, 0
iltm    ftgen  36.35, 0, 0, 1,   "d0141ns.aif", 0, 0, 0
irb     ftgen  37.35, 0, 0, 1,   "d0153ns.aif", 0, 0, 0
icc     ftgen  38.35, 0, 0, 1,   "d0149ns.aif", 0, 0, 0
irc     ftgen  39.35, 0, 0, 1,   "d0151ns.aif", 0, 0, 0
iclv    ftgen  40.35, 0, 0, 1,   "d0175ns.aif", 0, 0, 0
imar    ftgen  41.35, 0, 0, 1,   "d0170ns.aif", 0, 0, 0
itmb    ftgen  42.35, 0, 0, 1,   "d0154ns.aif", 0, 0, 0
ibel    ftgen  43.35, 0, 0, 1,   "d0185ns.aif", 0, 0, 0
icst    ftgen  44.35, 0, 0, 1,   "d0184ns.aif", 0, 0, 0
ismtm   ftgen  45.35, 0, 0, 1,   "d2545ns.aif", 0, 0, 0
isltm   ftgen  46.35, 0, 0, 1,   "d2541ns.aif", 0, 0, 0
;=========================================================================
; SET DRUM FUNCTIONS -----------------------------------------------------
;=========================================================================
;--------------|SPLIT| SMP|RVB S+R |PAN| LVL |SPLT| SMP| RVB S+R | PAN| LVL|
isp1 ftsplit 15,5,  0, ibd,  0*gidr, .5,  6510, 38, isd, 1.5*gidr, .99, 7905, \
                   41,iltm,  0*gidr, .73,10230, 42,ihhc,  .1*gidr, .34, 4650, \
                   45,imtm,  0*gidr, .54, 8370, 46,ihho,  .2*gidr, .34, 4650, \
                   49,icc, 1.0*gidr, .34, 6510, 50,ihtm,   0*gidr, .27, 6510, \
                   51,irc, 1.0*gidr, .66, 6510, 53, irb, 1.0*gidr, .66, 6510, \
                   54,itmb, .5*gidr, .42,10230, 70,imar,  .2*gidr, .34, 9300, \
                   75,iclv, .2*gidr, .34,15810, 84,ibel,  .4*gidr, .81,   93, \
                   85,icst, .7*gidr, .73, 8370
isp2 ftsplit 5,5,   0,isltm, 0*gidr, .73, 8370, 45,ismtm,  0*gidr, .54, 8370, \
                   54,itmb, .5*gidr, .42,10230, 84,ibel,  .4*gidr, .81,   93, \
                   85,icst, .7*gidr, .73, 8370
        dpgminit 1.10,  isp1
        dpgminit 25.26, isp2
        dpexclus 1.10, 42, 46
;=========================================================================
; SET KEYBOARD SPLITS ----------------------------------------------------
;=========================================================================
; ELECTRIC PIANO ---------------------------------------------------------
i06split ftsplit 2,6,  0, iepno1,  261.63, ftlptim(iepno1), .3, .05, \
                      67, iepno2,  523.25, ftlptim(iepno2), .3, .05
; VIBRAPHONE -------------------------------------------------------------
i12split ftsplit 2,6,  0, ivib1,   440,    ftlptim(ivib1),  .5, .18, \
                      78, ivib2,   880,    ftlptim(ivib2),  .4, .18
; CLEAN GUITAR -----------------------------------------------------------
i28split ftsplit 3,6,  0, iclgt1,  196,    ftlptim(iclgt1), .3, .08, \
                      60, iclgt2,  329.63, ftlptim(iclgt2), .4, .08, \
                      69, iclgt3,  587.33, ftlptim(iclgt3), .4, .08
; MUTED GUITAR -----------------------------------------------------------
i29split ftsplit 2,6,  0, imtgt1,  103.83, ftlptim(imtgt1), .4, .08, \
                      48, imtgt2,  164.81, ftlptim(imtgt2), .4, .08
; BASS -------------------------------------------------------------------
i34split ftsplit 2,6,  0, iebs1,   73.416, ftlptim(iebs1),  .5, .05, \
                      43, iebs2,   130.81, ftlptim(iebs2),  .5, .05
; CELLO ------------------------------------------------------------------
i43split ftsplit 2,6,  0, icel1,   116.54, ftlptim(icel1),  .9, .05, \
                      54, icel2,   277.18, ftlptim(icel2),  .9, .05
; FRENCH HORN ------------------------------------------------------------
i61split ftsplit 2,6,  0, ifrhn1,  277.18, ftlptim(ifrhn1), .9, .08, \
                      66, ifrhn2,  466.16, ftlptim(ifrhn2), .9, .08
; SYNTH VOX --------------------------------------------------------------
i92split ftsplit 2,6,  0, isvox1,  196,    ftlptim(isvox1), .7, .17, \
                      73, isvox2,  392,    ftlptim(isvox2), .7, .17
; ICE RAIN ---------------------------------------------------------------
i97split ftsplit 2,6,  0, irain1,  329.6,  ftlptim(irain1), .5, .18, \
                      72, irain2,  784,    ftlptim(irain2), .5, .18

;=========================================================================
; SCALE EFFECTS AND PAN --------------------------------------------------
;=========================================================================
; MULTIS --------v1---------v2-------v3-------v4-------v5---v6----------
;-------| # |-----------|RVBS|RVBR|-|PAN|-|CHOS|CHOR|-|EQ|-|LVL|--------
 pgminit  6.16,  i06split, 1  * giir, .5, .795 * giic, .5, 2883 
 pgminit  12, i12split,  .812 * giir, .5, .509 * giic,  0, 4557
 pgminit  28, i28split, 1.000 * giir, .5, .839 * giic,  0, 4836
 pgminit  29, i29split,  .339 * giir,.26, .4   * giic,  0, 8370
 pgminit  34, i34split,  .148 * giir, .5,    0 * giic, .8, 5580
 pgminit  43, i43split,  .929 * giir, .5, .761 * giic,  0, 5115
 pgminit  61.01, i61split, 1  * giir, .5, .822 * giic,  0, 3720
 pgminit  92, i92split, 1.400 * giir, .5, .656 * giic,  0, 3255
 pgminit  97, i97split, 1.000 * giir, .5, .405 * giic,  0, 3999
; NON-MULTIS ----v1----------v2------v3-------v4-------v5----v6----------v7-------v8----v9----v10-
;-------| # |-----------|RVBS|RVBR|-|PAN|-|CHOS|CHOR|-|EQ|-| Hz |---|LOOP START|-|DEC|-|REL|-|LVL|
 pgminit  37,  islp,     .305 * giir, .5,    0 * giic,  0,  97.999,      .3,       .2,  .1, 19530
 pgminit  82,  isaw,    1.000 * giir, .5, .695 * giic,  0,  587.33, ftlptim(isaw), .9,  .05, 3348
 pgminit  100, iatmo,    .980 * giir, .5,    0 * giic,  0,  146.8,  ftlptim(iatmo),.3,  .2,  3999
 pgminit  101, ibrht,    .656 * giir, .5, .4   * giic,  0,  349.23,      .3,       .3,  .2,  3999
 pgminit  121.05, ibsld, .305 * giir, .5,    0 * giic,  0,  311.13,      .4,       .2,  .1, 15810
;=========================================================================
; INSTRUMENT SECTION +++++++++++++++++++++++++++++++++++++++++++++++++++++
;=========================================================================

;=========================================================================
; SIMPLE INSTRUMENTS WITHOUT PITCH BEND (ONE-SHOTS) ----------------------
;=========================================================================
        instr    1, 2, 3, 4
        vprogs   37, 100, 121              ;w/o chorus
ivol    midictrl 7, 0, v10
ivel    veloc    0, ivol
icps    cpsmidi
kgate   dexponr  ivel, v7, v8, v9
ga1     loscil1  kgate, icps, v1, v6
        panouts  ga1, v3
gar     addin    ga1, v2
        endin
;=========================================================================
; SIMPLE INSTRUMENTS WITHOUT PITCH BEND ----------------------------------
;=========================================================================
        instr    6, 7, 8
        vprogs   82, 101                   ; w/ chorus
ivol    midictrl 7, 0, v10
ivel    veloc    0, ivol
icps    cpsmidi
kgate   dexponr  ivel, v7, v8, v9
ga1     loscil1  kgate, icps, v1, v6
        panouts  ga1, v3
gar,gac maddin   ga1, v2, v4
        endin
;=========================================================================
; MULTI INSTRUMENTS WITHOUT PITCH BEND -----------------------------------
;=========================================================================
        instr    9, 10, 11, 12, 13, 14
        vprogs   12, 28, 29, 61, 92, 97
ivol    midictrl 7, 0, v6
ivel    veloc    0, ivol
icps    cpsmidi
ift, ibsfreq, idel, idec, irel, \
        mtsplit  v1
kgate   dexponr  ivel, idel, idec, irel
ga1     loscil1  kgate, icps, ift, ibsfreq
        panouts  ga1, v3
gar,gac maddin   ga1, v2, v4
        endin
;=========================================================================
; MULTI INSTRUMENTS WITHOUT PITCH BEND -----------------------------------
;=========================================================================
        instr    15
        vprogs   6
ivol    midictrl 7, 0, v6
ivel    veloc    0, ivol
icps    cpsmidi
ift, ibsfreq, idel, idec, irel, \
        mtsplit  v1
kgate   dexponr  ivel, idel, idec, irel
ga1     loscil1  kgate, icps, ift, ibsfreq
        panouts  ga1, v3
gar,gac,gaf maddin   ga1, v2, v4, v5
        endin
;=========================================================================
; MULTI INSTRUMENTS WITH PITCH BEND & EQ ---------------------------------
;=========================================================================
        instr    16, 17
        vprogs   34, 43
ivol    midictrl 7, 0, v6
ivel    veloc    0, ivol
kcpsb   cpsmidib 2
ift, ibsfreq, idel, idec, irel, \
        mtsplit  v1
kgate   dexponr  ivel, idel, idec, irel
ga1     loscil1  kgate, kcpsb, ift, ibsfreq
        panouts  ga1, v3
gar,gac,gaf  maddin  ga1, v2, v4, v5
        endin
;=========================================================================
; DRUMKIT INSTRUMENT -----------------------------------------------------
;=========================================================================
        instr    18, 19
        dvprogs  1, 25
inn     notnum
ift,irvb,ipan,ilvl \
        mtsplit  v1
ivol    midictrl 7, 0, ilvl
ivel    veloc    0, ivol
ga1     doscil   ivel, ift
        panouts  ga1, ipan
   if inn = 36   kgoto    bassboost
gar     addin    ga1, irvb
        kgoto    end
   bassboost:
gaf     addin    ga1, 1
   end:
        endin
;=========================================================================
; GLOBAL REVERB INSTRUMENT -----------------------------------------------
;=========================================================================
        instr    129
ga1     reverb2  gar, 1.9, 0.2
        outs12   ga1
gar   =        0
        endin
;=========================================================================
; GLOBAL STEREO CHORUS INSTRUMENT ----------------------------------------
;=========================================================================
        instr    130
acl,acr chorus2  gac, .191,.217,.233, .425,.001,.003, .005, .007, 0, 1, 0, gisin
        outs     acl, acr
gac     =        0
        endin
;=========================================================================
; GLOBAL EQ INSTRUMENT ---------------------------------------------------
;=========================================================================
        instr    131
ga1     butterlp gaf, 200
ga2     =        ga1 * 2.5
        outs12   ga2
gaf    =        0
        endin


