sr =  32000		; sample rate
kr =   1600		; control rate
ksmps =  20		; sr/kr
nchnls =  2		; channels

gisin ftgen 0, 0, 4096, 10, 1				; generate and label sine wave
gisqr ftgen 0, 0, 4096, 7,-1, 2048, -1, 0, 1, 2048, 1 	; and square wave

	pgminit 1, gisin,  19		; program change 1: sines detuned  19 cents  
	pctrlinit 1, 1, 13, 7, 127	; and a short attack time
	pgminit 2, gisqr, 7  		; program change 2: squares detuned 7 cents
	pctrlinit 2, 1, 32, 7, 127	; and a medium attack time
	pgminit 3, gisqr, 43		; program change 3: squares detuned 43 cents
	pctrlinit 3, 1, 76, 7, 127	; and a long attack time
	
instr 1 
		vprogs   1, 2, 3                 ; respond to programs 1 - 3
	kcps	cpsmidib 2		         ; pitch
	ivel 	veloc    200, 13000	         ; velocity
	iatk 	midictrl 1, 0, 1.27	         ; map controller 1 to attack time
	kvol 	midictrl 7, 0, 1                 ; map controller 2 to volume
	kenv 	linenr   ivel, iatk, .25         ; envelope
	asig 	coscil   kenv, kcps, v2, v1      ; oscillator w/ v1, detuned v2 cents
		outs12   asig * kvol 	         ; output signal modified by volume
endin

