import CsoundAPI
from time import sleep

orchestra = """
	sr = 32000				;audio sampling rate
	kr = 1000				; etc
	ksmps = 32				; all making up the Orchestra Header section
gisine	ftgen	0, 0, 1024, 10, 1

	instr	1				; instrument 1
;a1	in
a1	oscil	p4, p5, gisine	; amp and frequency now derive from score p-fields
	out	a1
	endin

 	instr	2				; instrument 2
k1	lfo		2, gisine, 3	; low frequency oscillator:  freq 2 Hz after delay 3 seconds
a1	oscil	p4, p5 + k1*10, gisine	; add k1 (a control rate signal) to the score frequency
	out	a1					; and listen to the result
	endin
 """
score = """
i1  0  3  8000  440			; specify the amp and frequency in parameters 4 and 5
i2  5  5  8000  550
e
"""

address = "localhost"
port = 7000					# define some parameters
							# create a connection socket, and call it cs
cs = CsoundAPI.CsoundAPI(address, port, is_gtk=False)
cs.newInstance()			# allocate a Csound instance at the end of this socket

cs.sendOrcStr(orchestra) 	# send our orchestra string to this new instance
cs.sendScoStr(score)		# also send it our score string

cs.sendPrep()			# tell the instance to load both and get ready to play
cs.sendPlay()			# tell the instance to start playing
sleep(10)				# take a rest while the instance is performing
cs.close()				# and we are done
